Subject: Re: bug#70071: [FR] Provide official install scripts without requiring root, e.g., by making a static build possible

From: Rudi C <[email-masked]>
Date: Sat, 30 Mar 2024 18:01:31 +0330

Given my lack of root access, I'm unsure about the best approach to install
these libraries. Manually writing an installer script for every missing
Emacs dependency raises concerns, as these dependencies might have their
own dependencies, making the task complex, error-prone, and time-consuming.
This approach may not be the most practical or efficient solution for the
majority of users, and it certainly isn't the simple two-liner that your
previous messages suggested. The complexity involved in manually resolving
dependencies is precisely the reason I turned to package managers like
Linuxbrew, Guix, and Nix in the first place.

On Sat, Mar 30, 2024 at 4:58 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Rudi C <[email-masked]>
> > Date: Sat, 30 Mar 2024 16:25:49 +0330
> > Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> >
> > I get this error (and this is after adding all those configure options
> which had previously caused errors):
> > ```
> > checking for library containing tputs... no
> > configure: error: The required function 'tputs' was not found in any
> library.
> > The following libraries were tried (in order):
> >   libtinfo, libncurses, libterminfo, libcurses, libtermcap
> > Please try installing whichever of these libraries is most appropriate
> > for your system, together with its header files.
> > For example, a libncurses-dev(el) or similar package.
> > ```
> >
> > So what should I do now?
>
> The error message is pretty self-explanatory, I think: you should
> install one of the libraries it mentions, i.e.
>
>   libtinfo, libncurses, libterminfo, libcurses, or libtermcap
>
> together with the corresponding header files (usually, the package
> will be called LIBRARY-dev or LIBRARY-devel), and then reconfigure.
>